%define oname xfce4-mixer
%define iconname  %{oname}.png

Summary: 	Volume control for the Xfce
Name: 		xfce-mixer
Version: 	4.2.2
Release: 	%mkrel 1
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	xfce4-mixer-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= %{version}
BuildRequires:	xfce-panel-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick

%description
Xfce-mixer is the volume control for Xfce. It includes
a sound mixer.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert settings/%{oname}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert settings/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert settings/%{oname}.png  -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{oname}" \
	icon="%{iconname}" \
	title="Xfce-mixer" \
	longtitle="Volume control for the XFce." \
	needs="x11" \
	section="Multimedia/Sound"
EOF

%find_lang %{oname}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NOTES INSTALL COPYING AUTHORS
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/modules/*
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}


%changelog
* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1 (4.2 RC 1)
- add menu and icons
- update file list

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Tue Nov 18 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial mandrake package

